EndpointsAuthentication
Update Me
Change your own name or avatar. Only the fields sent are changed.
PATCH
Change your own name or avatar. Only the fields sent are changed.
HTTPBearerheader
AuthorizationBearer <token>application/json- body
PATCH /api/me: change your own name or avatar. null clears the avatar.
avatar_url?|nullname?|nullSuccessful Response
application/json- response
User information response
avatar_url?string|nullcreated_at*Created AtFormat
date-timeemail*Emailid*IdFormat
uuidname*Namepreferences?Every field optional: absent means "the app's default".
curl -X PATCH "https://example.com/api/me" \ -H "Content-Type: application/json" \ -d '{}'{ "avatar_url": "string", "created_at": "2019-08-24T14:15:22Z", "email": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "preferences": { "accent": "royal", "avatar_color": "royal", "currency": "string", "dashboard": { "hidden": [ "string" ], "order": [ "string" ], "range_days": 7 }, "date_style": "short", "density": "comfortable", "favorites": { "agents": [ "ce0951b6-fac0-429c-be9b-31a1ce20b503" ], "projects": [ "eaf709ed-5ed9-42a1-a0ca-f919f2d075df" ] }, "locale": "string", "sidebar_collapsed": true, "tasks": { "saved_views": [ { "id": "string", "name": "string", "query": "" } ], "view": "list" }, "theme": "light", "timezone": "string", "version": 1 }}